curl --request GET \
--url https://api.treasuryprime.com/apply/person_application/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/apply/person_application/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/apply/person_application/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bankdata": {
"ip_address": "127.0.0.40"
},
"citizenship": "US",
"created_at": "2019-03-02T11:55:14Z",
"date_of_birth": "1732-02-22",
"email_address": "gwash@whitehouse.gov",
"first_name": "George",
"id": "apsn_01d5w7mvmwvy",
"identification_number": null,
"identification_number_type": null,
"last_name": "Washington",
"middle_name": null,
"occupation": "General",
"person_id": null,
"phone_number": "2025551111",
"physical_address": {
"city": "Washington",
"country": "US",
"postal_code": "20500",
"state": "DC",
"street_line_1": "1600 Pennsylvania Ave",
"street_line_2": null
},
"updated_at": "2019-03-02T11:55:14Z",
"userdata": null
}Fetch a Person Application
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Response
The apply.person-application
Optional arbitrary data the bank can attach to the object
Two letter ISO country code indicating where this person has citizenship
Date of birth of the person, ISO 8601 format ('YYYY-MM-DD')
Array of Document IDs pertaining to this person
Email address of the person
First (given) name of the person (max of 36 ASCII characters)
Unique identifier for object
International identification number (max of 30 characters)
Type of international identification number (max of 30 characters)
Last name (surname) of the person (max of 40 ASCII characters)
Object representing the person's mailing address
Show child attributes
Show child attributes
Middle name or initial of the person, if they have one
Occupation of the person
ID of the person object created as a result of a successful account application. Filterable.
Phone number of the person
Object representing the person's home address. Required for virtual ledger and some core direct integrations
Show child attributes
Show child attributes
Optional secondary email address of the person
Optional arbitrary data the user can attach to the object
Was this page helpful?